package com.xxfc.platform.vehicle.mapper;

import com.xxfc.platform.vehicle.entity.SysRegion;
import org.springframework.data.repository.query.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

public interface SysRegionMapper extends Mapper<SysRegion> {

   public List<SysRegion> getAllByPage(Map<String, Object> params);

   public List<SysRegion> getByIdList(List<Long> idList);

   //获取地区的编号
   public Integer getNumber(@Param("name") String name);
   //获取地区的编号
   public Integer getNumberV2(@Param("name") String name, @Param("type") Integer type);
}
